#!/bin/bash

echo -e "LABEL=scratch   /scratch        ext4    nofail,noatime,nodiratime,usrjquota=aquota.user,jqfmt=vfsv0,discard,data=writeback,barrier=0    0       2\nLABEL=scratch.ssd   /scratch.ssd        ext4    nofail,noatime,nodiratime,usrjquota=aquota.user,jqfmt=vfsv0,discard,data=writeback,barrier=0    0       2" >> /etc/fstab

wget http://apt.puppetlabs.com/puppet6-release-buster.deb
dpkg -i puppet6-release-buster.deb
apt-get update
apt-get -y dist-upgrade
apt-get -y install puppet-agent quota parted mdadm
parted -s /dev/nvme0n1 mkpart primary ext4 256MB '100%'
parted -s /dev/nvme1n1 mkpart primary ext4 256MB '100%'
parted -s /dev/nvme0n1 set 2 raid on
parted -s /dev/nvme1n1 set 2 raid on
parted -s /dev/sda mklabel gpt
parted -s /dev/sda mkpart primary ext4 1MB '100%'
sleep 2
mkfs.ext4 -F -L scratch /dev/sda1 || exit 1
mdadm --create /dev/md0 --force --level=0 --raid-devices=2 /dev/nvme0n1p2 /dev/nvme1n1p2 || exit 1
mkfs.ext4 -F -L scratch.ssd /dev/md0 || exit 1
mdadm --examine --scan >> /etc/mdadm/mdadm.conf
mkdir /scratch
mkdir /scratch.ssd
mount /scratch
mount /scratch.ssd
quotacheck -m /
quotacheck -m /scratch
quotacheck -m /scratch.ssd
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz --waitforcert 120
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz
#reboot
